Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.explorer
Class ExplorerTreeNode

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protegex.owl.ui.explorer.ExplorerTreeNode

All Implemented Interfaces:
  TreeNode

Direct Known Subclasses:
  LeafExplorerTreeNode, OWLLogicalClassTreeNode, OWLQuantifierRestrictionTreeNode, RDFSNamedClassTreeNode

    public abstract class ExplorerTreeNode

extends edu.stanford.smi.protege.util.LazyTreeNode

Author:
  Holger Knublauch

Field Summary
`protected ExplorerFilter` | `filter`

Constructor Summary
`ExplorerTreeNode(edu.stanford.smi.protege.util.LazyTreeNode parent, RDFSClass cls, ExplorerFilter filter)`

Method Summary
`protected abstract List` | `createChildObjects()`
`protected edu.stanford.smi.protege.util.LazyTreeNode` | `createNode(Object o)`
`void` | `dispose()`
`ExplorerTreeNode` | `getChildNode(int index)`
`protected int` | `getChildObjectCount()`
`protected Collection` | `getChildObjects()`
`protected Comparator` | `getComparator()`
`RDFSClass` | `getRDFSClass()`
`String` | `toString(boolean expanded)`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, reload, reload, setIsLoaded, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### filter

    protected ExplorerFilter filter

Constructor Detail

### ExplorerTreeNode

    public ExplorerTreeNode(edu.stanford.smi.protege.util.LazyTreeNode parent,
                            RDFSClass cls,
                            ExplorerFilter filter)

Method Detail

### createChildObjects

    protected abstract List createChildObjects()

### createNode

    protected edu.stanford.smi.protege.util.LazyTreeNode createNode(Object o)

  Specified by:
    `createNode` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getChildObjects

    protected Collection getChildObjects()

  Specified by:
    `getChildObjects` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getChildObjectCount

    protected int getChildObjectCount()

  Specified by:
    `getChildObjectCount` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getChildNode

    public ExplorerTreeNode getChildNode(int index)

### getComparator

    protected Comparator getComparator()

  Specified by:
    `getComparator` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getRDFSClass

    public RDFSClass getRDFSClass()

### toString

    public String toString(boolean expanded)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.